For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList disputes
      • GETRetrieve dispute
      • POSTAccept dispute
      • POSTChallenge dispute
      • GETList dispute evidence
      • POSTCreate dispute evidence text
      • POSTCreate dispute evidence file
      • DELDelete dispute evidence
      • GETRetrieve dispute evidence
      • Dispute
      • DisputeEvidence
      • POSTEvent: dispute.created
      • POSTEvent: dispute.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIDisputes

Accept dispute

POST
/disputes/:dispute_id/accept
POST
/network/v1/disputes/:dispute_id/accept
$curl -X POST https://api.cash.app/network/v1/disputes/dispute_id/accept \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "dispute": {
3 "id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
4 "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
5 "amount": 1500,
6 "reason": "FR10",
7 "settlement_withholding": "NOT_WITHHELD",
8 "state": "RESPONSE_REQUIRED",
9 "created_at": "2022-01-01T12:00:00Z",
10 "updated_at": "2022-01-05T12:00:00Z",
11 "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
12 "customer_credited_amount": 1250,
13 "response_due_at": "2022-05-01T00:00:00Z"
14 }
15}
Resolves a dispute by having the merchant accept responsibility for it. This leads to a "loss" of the dispute from the merchant's perspective, and a "win" of the dispute from the customer's perspective. <Note> After a dispute is accepted, the decision is final; it can never be changed. </Note> **This endpoint is not rate limited.** Scopes: `DISPUTES_WRITE`
Was this page helpful?
Previous

Challenge dispute

Next
Built with

Resolves a dispute by having the merchant accept responsibility for it. This leads to a “loss” of the dispute from the merchant’s perspective, and a “win” of the dispute from the customer’s perspective.

After a dispute is accepted, the decision is final; it can never be changed.

This endpoint is not rate limited.

Scopes: DISPUTES_WRITE

Path parameters

dispute_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
disputeobject
Represents a dispute initiated by a customer within Cash App or the customer's linked bank

Errors

400
Bad Request Error
404
Not Found Error